Subject: Re: connecting existing local git repository to svn

From: Michael J Gruber <[email-masked]>
Date: Tue, 27 Jan 2009 11:35:50 +0100

Ittay Dror venit, vidit, dixit 01/27/09 05:10:
> Hi,
> 
> 
> I'd like to create a branch in a subversion repository so that I can
> work with git-svn on it.
> 
> 
> My git repository is already with a history, that I don't want to
> replicate to subversion, I want to start with subversion having just the
> latest revision and then continue from there normally (git svn
> dcommit/rebase).
> 
> 
> How can I do that?

Create the svn branch (with svn) and "git svn clone". Pull in your git
branch under a new name (if that is what you want).
Now, you can e.g. "git merge -s theirs" your other git branch into
master, git svn rebase and dcommit. Untested, but comes with best wishes ;)

Do you want to discard your existing git history completely?

Cheers,
Michael